import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  author = 'Adrian Sterca';
  title = 'Student grades';
  showStudentsPanel = false;
  showStudentsCaption = 'Show students';
  showStudentsGradesPanel = false;
  showStudentsGradesCaption = "Show students grades";

  OnClickShowStudents() : void {
  	  this.showStudentsPanel = !this.showStudentsPanel;
  	  if (this.showStudentsPanel) {
          this.showStudentsGradesPanel = false;
  	  	  this.showStudentsCaption = 'Hide students';
  	  } else {
  	  		this.showStudentsCaption = 'Show students';
  	  }
  }

  OnClickShowStudentsGrades() : void {
      this.showStudentsGradesPanel = !this.showStudentsGradesPanel;
      if (this.showStudentsGradesPanel) {
          this.showStudentsPanel = false;
          this.showStudentsGradesCaption = 'Hide students grades';
      } else {
          this.showStudentsGradesCaption = 'Show students grades';
      }
  } 
}
